Subject: bug#23666: closed (Close)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Jul 2025 20:21:02 +0000

Your bug report

#23666: 'add-to-store' RPC loads files in memory (daemon-side)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23666: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=23666
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Close
From: Andreas Enge <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 6 Jul 2025 22:20:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing old issues.

Andreas

Subject: guix download fails for large files
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Tue, 31 May 2016 21:56:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

since I am regularly rebuilding texlive (who is not!), I would like to keep
the source tarball on my machine, and whenever I garbage collect it from the
store, add it back via
   guix download file:texlive-20150523-texmf.tar.xz

On my Novena with a 32 bit processor and 4 GB of main memory, this fails with
   guix download: error: sendfile: Broken pipe

The file itself has 1,8 GB.

Downloading the file via http as part of "guix build" works, and
"guix download file:" also works on my x86_64 machine with 8 GB of RAM.

Andreas